export declare class SelectionModel {
    static createDefault(): SelectionModel;
    readonly nodes: Set<string>;
    readonly edges: Set<string>;
    constructor(nodes: string[], edges: string[]);
    addNodes(nodeIds: string[]): SelectionModel;
    removeNodes(nodeIds: string[]): SelectionModel;
    addEdges(edgeIds: string[]): SelectionModel;
    removeEdges(edgeIds: string[]): SelectionModel;
}
